《Swift入门经典(第2版)》——1.4 问与答

  1. 云栖社区>
  2. 博客>
  3. 正文

《Swift入门经典(第2版)》——1.4 问与答

异步社区 2017-05-02 17:13:00 浏览828
展开阅读全文

本节书摘来自异步社区《Swift入门经典(第2版)》一书中的第1章,第1.4节,作者:【美】BJ Miller(BJ 米勒)著,更多章节内容可以访问云栖社区“异步社区”公众号查看

1.4 问与答

问:我无须创建完整的Xcode项目就能拥有一个playground吗?
答:绝对可以。Xcode把playground视作独立于任何项目的可解释文件。

问:我仍然在运行OS X Mountain Lion,那么我还能够使用Xcode吗?
答:OS X Mountain Lion(版本10.8)可以运行Xcode,但是可以在Mountain Lion上运行的Xcode的最新版本是Xcode 5.x。OS X Mavericks 10.9.3是可以支持Xcode 6的最早版本,要运行Xcode 7,至少需要的OS是OS X Yosemite 10.10.4,而Xcode 7是Swift 2.0所需要的。

问:我刚开始学习iOS开发,Swift似乎非常流行。但是,我还应该学习Objective-C吗?
答:在许多Mac和iOS应用中仍在大量使用Objective-C,并且在接下来一段时间仍然会使用它。本书主要讲述Swift编程语言,但是如果你希望成为一名全职开发人员或者具有某种能力,就可能在现有的代码库中遇到Objective-C代码,因此学习一些Objective-C知识可能会从中获益。有大量良好的资源可用于学习Objective-C,因为它是一种成熟、稳定的语言。

网友评论

登录后评论
0/500
评论
异步社区
+ 关注